---
title: "Retrieve Non-Stock Items By Company Code, Item Code and Cost Code"
slug: "retrieve-non-stock-items-by-company-code-item-code-and-cost-code"
updated: 2026-05-26T12:53:14Z
published: 2026-05-26T12:53:48Z
canonical: "developers.cmicglobal.com/retrieve-non-stock-items-by-company-code-item-code-and-cost-code"
---

> ## Documentation Index
> Fetch the complete documentation index at: https://developers.cmicglobal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve Non-Stock Items By Company Code, Item Code and Cost Code

Get/po-rest-api/rest/1/poNonStockItem

## UI Navigation

**Asset Management - Purchase Order - Setup - Non Stock Items**

## Overview

**Retrieve Non-Stock Items by Company Code, Item Code, and Cost Code:**

This endpoint retrieves non-stock items, with option to filter and optimize the request performance using the following Finder.

## Finders

The following finders are available for data filtering and optimizing request performance.

- NonStockItemFinder

## Path Parameters

| Parameter | Description | Example |
| --- | --- | --- |
| CompCode | Compnay Code | ZZ |
| ItemCode | Item Code | DashCam |
| CostCode | Cost Code | 03-700 |

## Query Standards

| Key | Recommended | Description |
| --- | --- | --- |
| `finder` | Yes | Filters data based on attributes. See finder details below. Finders can be combined using a comma delimiter between parameters that implies an "and" statement. |
| `limit` | Yes | A limit restricts the number of resources returned inside the resource collection. If the limit exceeds the resource count, then the framework will return all available resources. |
| `offset` | Yes | The offset skips a specified number of items in a data list before it starts showing results. For example, if you set an offset of 10, it skips the first 10 items and begins showing from the 11th item. |
| `orderBy` | Yes | The `orderBy` attribute retrieves rows using an order ensuring the response payload displays data in the order supplied in the URL parameter using the GET method. |

## poNonStockItem Finders

| Finder | Parameter | Data Type | Description | Example | Mandatory |
| --- | --- | --- | --- | --- | --- |
| NonStockItemFinder | PONSI_COMP_CODE | String | Compnay Code | /po-rest-api/rest/1/pononstockitem?finder=NonStockItemFinder.PONSI_COMP_CODE=ALT | Optional |
| NonStockItemFinder | PONSI_COST_CODE | String | Cost Code | /po-rest-api/rest/1/pononstockitem?finder=NonStockItemFinder.PONSI_COST_CODE=01.9 | Optional |
| NonStockItemFinder | PONSI_ITM_CODE | String | Item Code | /po-rest-api/rest/1/pononstockitem?finder=NonStockItemFinder.PONSI_ITM_CODE=WIDGET 1 | Optional |
| PrimaryKey | PONSI_V_UUID | String | UUID -Unique Identifier | /4160BB81A24F71C0E0630B811DACBBBA | False |

## Attributes

| CMiC UI Fieldname | Object | Name | Description | Type | Data Length | Example | Mandatory |
| --- | --- | --- | --- | --- | --- | --- | --- |
| PonsiCompCode | poNonStockItem | PonsiCompCode | Company Code | String | 8 | ALT | True |
| PonsiItmCode | poNonStockItem | PonsiItmCode | Item Code | String | 16 | WIDGET 1 | True |
| PonsiItmName | poNonStockItem | PonsiItmName | Item Name | String | 60 | Widget 1 | True |
| PonsiItmWmCode | poNonStockItem | PonsiItmWmCode | Weight Measure Code | String | 2 | EA | True |
| PonsiItmLstPriceAmt | poNonStockItem | PonsiItmLstPriceAmt | Last Price | Number | 18/4 | 20.0 | False |
| PonsiItmMinOrdQty | poNonStockItem | PonsiItmMinOrdQty | Min Ord | Number | 6/0 | 1 | False |
| PonsiItmTax1Code | poNonStockItem | PonsiItmTax1Code | Tax1 Code | String | 11 | 01 | False |
| PonsiItmTax2Code | poNonStockItem | PonsiItmTax2Code | Tax2 Code | String | 11 | T5 | False |
| PonsiItmTax3Code | poNonStockItem | PonsiItmTax3Code | Tax3 Code | String | 11 | T6 | False |
| PonsiAccCode | poNonStockItem | PonsiAccCode | Account Code | String | 16 | 5000.106 | False |
| PonsiInternalSalesAccCode | poNonStockItem | PonsiInternalSalesAccCode | Internal Sales Account Code | String | 16 | 4000.800 | False |
| PonsiCatCode | poNonStockItem | PonsiCatCode | Category Code | String | 16 | 4000 | False |
| PonsiItmDesc | poNonStockItem | PonsiItmDesc | Item Description | String | 4000 | SALES REV | False |
| PonsiCostCode | poNonStockItem | PonsiCostCode | Cost Code | String | 16 | 01.9 | False |
| PonsiVUuid | poNonStockItem | PonsiVUuid | Unique Identifier | String | 64 | 4160BB81A24F71C0E0630B811DACBBBA | False |

SecurityHTTPType basic

Basic authentication

Query parameterslimitintegerExample25
offsetintegerExample0
totalResultsbooleanExampletrue
orderBystringExamplePonsiItmCode:asc
finderstringExampleNonStockItemFinder; CompCode=ZZ,ItemCode=WD,CostCode=03-700

Responses200

OK

HeadersContent-TypestringExampleapplication/vnd.oracle.adf.resourcecollection+json
<select class='api-response-data' aria-label='Media type'><option value='c09c406f-cb57-4871-9ad8-58f658a885db'>text/plain</option>
</select>

```
"{\n    \"items\": [\n        {\n            \"PonsiAccCode\": \"1000.100.12345\",\n            \"PonsiCatCode\": \"1000\",\n            \"PonsiCompCode\": \"ZZ\",\n            \"PonsiCostCode\": \"03-700\",\n            \"PonsiInternalSalesAccCode\": null,\n            \"PonsiItmCode\": \"WD\",\n            \"PonsiItmDesc\": \"fdfsgfgfd\",\n            \"PonsiItmLstPriceAmt\": 150.12,\n            \"PonsiItmMinOrdQty\": 25,\n            \"PonsiItmName\": \"Widget D\",\n            \"PonsiItmTax1Code\": null,\n            \"PonsiItmTax2Code\": null,\n            \"PonsiItmTax3Code\": null,\n            \"PonsiItmWmCode\": \"EA\",\n            \"PonsiVUuid\": \"4160BB81A27471C0E0630B811DACBBBA\",\n            \"links\": [\n                {\n                    \"rel\": \"self\",\n                    \"href\": \"http://127.0.0.1:7101/po-rest-api/rest/1/poNonStockItem/4160BB81A27471C0E0630B811DACBBBA\",\n                    \"name\": \"poNonStockItem\",\n                    \"kind\": \"item\"\n                },\n                {\n                    \"rel\": \"canonical\",\n                    \"href\": \"http://127.0.0.1:7101/po-rest-api/rest/1/poNonStockItem/4160BB81A27471C0E0630B811DACBBBA\",\n                    \"name\": \"poNonStockItem\",\n                    \"kind\": \"item\"\n                }\n            ]\n        }\n    ],\n    \"totalResults\": 1,\n    \"count\": 1,\n    \"hasMore\": false,\n    \"limit\": 25,\n    \"offset\": 0,\n    \"links\": [\n        {\n            \"rel\": \"self\",\n            \"href\": \"http://127.0.0.1:7101/po-rest-api/rest/1/poNonStockItem\",\n            \"name\": \"poNonStockItem\",\n            \"kind\": \"collection\"\n        }\n    ]\n}"
```

string
